To view a previously requested calculation, send an HTTP GET to https://api.fonoa.com/tax/v2/calculations/<uuid> replacing <uuid> with the identifier received in the calculation response (data.id)
If the uuid is valid, the API will respond with an HTTP 200 OK and a response body containing the details of the calculation:
{
"data": {
"uuid": "1010b4d8-9361-4a7e-98cc-9419dbba695c",
"status": "calculated",
"input": {
"supplier": {
"taxable": true,
"country": "gb"
},
"customer": {
"taxable": false,
"country": "nl"
},
"transaction": {
"price_includes_tax": false,
"date": "2026-01-14T20:48:59.000Z",
"items": [
{
"id": "34db79d1-24bf-4c22-863e-1f7832f24be3",
"unit_price": 100,
"tax_category_code": "fs_0503010000",
"quantity": 1
}
]
}
},
"output": {
"id": "1010b4d8-9361-4a7e-98cc-9419dbba695c",
"result": {
"total_gross": 121,
"total_net": 100,
"total_indirect_tax_amount": 21,
"items": [
{
"id": "34db79d1-24bf-4c22-863e-1f7832f24be3",
"gross_amount": 121,
"net_amount": 100,
"indirect_tax_amount": 21,
"effective_indirect_tax_rate": 0.21,
"tax_breakdown": [
{
"country": "nl",
"country_name": "Netherlands",
"rate_class": "s",
"tax_level": "federal",
"name": "BTW",
"rate": 0.21,
"amount": 21
}
]
}
]
}
}
}
}
Eventual ConsistencyRequested calculations are saved in the background. Expect a minor delay between an HTTP
POSTof a calculation and it appearing in a subsequentGETGiven the calculation result is returned immediately on the
POSTrequest, we don’t see a use case to call theGETendpoint immediately and thus deem a minor delay to be acceptable. The result is expected be available within 1 minute.In the interim, the HTTP
GETtohttps://api.fonoa.com/tax/v2/calculations/<uuid>will respond with an HTTP202 Acceptedand aRetry-After: <time in s>header suggesting when you can call theGETendpoint again, and the following response body:{ "data": { "id": "<uuid>", "status": "pending", "message": "The calculation is in the process of being stored. Please retry later" } }Feedback is appreciated, Fonoa will monitor this behaviour and adjust if required.
⚠️ Calculation storage
Please do not rely on Fonoa’s calculation resource urls to be long lived.
Fonoa provides both hot (immediate access) and cold (long term, no immediate access) storage. Data will be stored in cold storage for the duration specified by law. Data in hot storage is subject to contractual agreements (we default to 3 months)

